JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinDef.LRESULT

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.BaseTSD.LONG_PTR
                  com.sun.jna.platform.win32.WinDef.LRESULT

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  WinDef

    public static class WinDef.LRESULT

extends BaseTSD.LONG_PTR

Signed result of message processing.

See Also:
  Serialized Form

Constructor Summary
`WinDef.LRESULT()` Instantiates a new lresult.
`WinDef.LRESULT(long value)` Instantiates a new lresult.

Method Summary

Methods inherited from class com.sun.jna.platform.win32.BaseTSD.LONG_PTR
`toPointer`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.LRESULT

    public WinDef.LRESULT()

  Instantiates a new lresult.

### WinDef.LRESULT

    public WinDef.LRESULT(long value)

  Instantiates a new lresult.

  Parameters:
    `value` - the value

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.